Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::OObject Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OObject Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OObject:

## Public Types
typedef OObject | this_type
typedef OObject | operator_bool_base_type

## Public Member Functions
| OObject ()
| OObject (OObject iParentObject, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OObject (AbcA::ObjectWriterPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OObject (AbcA::ObjectWriterPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OObject (OArchive &iArchive, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OObject (OArchive &iArchive, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OObject ()
const AbcA::ObjectHeader & | getHeader () const
const std::string & | getName () const
const std::string & | getFullName () const
const AbcA::MetaData & | getMetaData () const
OArchive | getArchive ()
OObject | getParent ()
size_t | getNumChildren ()
const AbcA::ObjectHeader & | getChildHeader (size_t i)
const AbcA::ObjectHeader * | getChildHeader (const std::string &iName)
OCompoundProperty | getProperties ()
OObject | getChild (size_t iChildIndex)
OObject | getChild (const std::string &iChildName)
bool | addChildInstance (OObject iTarget, const std::string &iName)
| -************************************************************************
AbcA::ObjectWriterPtr | getPtr ()
const AbcA::ObjectWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Attributes
AbcA::ObjectWriterPtr | m_object

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Member Typedef Documentation

## ◆ this_type

typedef OObject Alembic::Abc::ALEMBIC_VERSION_NS::OObject::this_type

By convention, we always define "this_type" in every Abc class. This convention is relied upon by the unspecified-bool-type conversion.

## Constructor & Destructor Documentation

## ◆ OObject() [1/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject | ( |  | ) |
| inline

The default constructor creates an empty OObject function set. ...

## ◆ OObject() [2/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject | ( | OObject | iParentObject,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )

This creates a new object writer. The first argument is the parent OObject from which the error handler policy for inheritance is derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and MetaData

## ◆ OObject() [3/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject | ( | AbcA::ObjectWriterPtr | iPtr,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )
| inline

This attaches an OObject wrapper around an existing ObjectWriterPtr, with an optional error handling policy. Arguments can be used to set error handling policy.

## ◆ OObject() [4/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::OObject | ( | OArchive & | iArchive,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )
| inline

This attaches an OObject wrapper around the top object in an archive. Arguments can be used to set error handling policy.

## ◆ ~OObject()

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::~OObject | ( |  | ) |
| virtual

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ addChildInstance()

bool Alembic::Abc::ALEMBIC_VERSION_NS::OObject::addChildInstance | ( | OObject | iTarget,
|  | const std::string & | iName )

-************************************************************************

-************************************************************************

## ◆ ALEMBIC_OPERATOR_BOOL()

Alembic::Abc::ALEMBIC_VERSION_NS::OObject::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

The unspecified-bool-type operator casts the object to "true" if it is valid, and "false" otherwise.

## ◆ getArchive()

OArchive Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getArchive | ( |  | ) |

This function returns the object's archive, handily wrapped in an OArchive wrapper.

## ◆ getChild() [1/2]

OObject Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getChild | ( | const std::string & | iChildName | ) |

This function returns an OObject wrapped around a pointer to an already created child. This is distinct from creating a new OObject as a child. If the writer associated with this child no longer exists, this function will return an empty OObject.

## ◆ getChild() [2/2]

OObject Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getChild | ( | size_t | iChildIndex | ) |

This function returns an OObject wrapped around a pointer to an already created child. This is distinct from creating a new OObject as a child. If the writer associated with this child no longer exists, this function will return an empty OObject.

## ◆ getChildHeader() [1/2]

const AbcA::ObjectHeader * Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getChildHeader | ( | const std::string & | iName | ) |

This function returns the header of a named object if it has been created - even if the object no longer exists.

## ◆ getChildHeader() [2/2]

const AbcA::ObjectHeader & Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getChildHeader | ( | size_t | i | ) |

This function returns the headers of each of the child objects created so far.

## ◆ getFullName()

const std::string & Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getFullName | ( |  | ) | const
| inline

This function returns the object's full (unique with the archive) name

## ◆ getHeader()

const AbcA::ObjectHeader & Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getHeader | ( |  | ) | const

Return the object's header. ...

## ◆ getMetaData()

const AbcA::MetaData & Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getMetaData | ( |  | ) | const
| inline

This function returns the object's metadata. ...

## ◆ getName()

const std::string & Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getName | ( |  | ) | const
| inline

This function returns the object's local name ...

## ◆ getNumChildren()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getNumChildren | ( |  | ) |

This function returns the number of child objects that this object has. This may change as new children are created for writing.

## ◆ getParent()

OObject Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getParent | ( |  | ) |

This function returns the object's parent, handily wrapped in an OObject wrapper. If the object is the top level object, the OObject returned will be NULL.

## ◆ getProperties()

OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getProperties | ( |  | ) |

This returns the single top-level OCompoundProperty that exists automatically as part of the object.

## ◆ getPtr()

AbcA::ObjectWriterPtr Alembic::Abc::ALEMBIC_VERSION_NS::OObject::getPtr | ( |  | ) |
| inline

getPtr, as usual, returns a shared ptr to the underlying AbcCoreAbstract object, in this case the ObjectWriterPtr.

## ◆ reset()

void Alembic::Abc::ALEMBIC_VERSION_NS::OObject::reset | ( |  | ) |
| inline

Reset returns this function set to an empty, default state.

## ◆ valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::OObject::valid | ( |  | ) | const
| inline

Valid returns whether this function set is valid.

The documentation for this class was generated from the following files:

- Abc/OObject.h
- Abc/OObject.cpp